package com.andujar.springmvc.repository;

import java.util.Date;
import java.util.List;

import org.hibernate.HibernateException;

import com.andujar.springmvc.domain.ActivitatAvaluadora;

public interface ActivitatAvaluadoraDAO {

	public abstract long guardaActivitatAvaluadora(
			ActivitatAvaluadora activitatAvaluadora);

	public abstract void actualizaActivitatAvaluadora(
			ActivitatAvaluadora activitatAvaluadora);

	public abstract void eliminaActivitatAvaluadora(
			ActivitatAvaluadora activitatAvaluadora);

	public abstract ActivitatAvaluadora obteActivitatAvaluadora(
			long idActivitatAvaluadora);

	public abstract List<ActivitatAvaluadora> obteLlistaActivitatAvaluadoras()
			throws HibernateException;
	
	public abstract List<ActivitatAvaluadora> obteLlistaActivitatAvaluadorasAlta(long unitatId);
	
	public List<ActivitatAvaluadora> obteLlistaActivitatAvaluadoresAvaluacioAnyAcademic(long unitatId, Date fiAvaluacioAnyAcademic);
	
	public List<ActivitatAvaluadora> obteLlistaActivitatAvaluadoresPeriodeAvaluacio(long unitatId, Long periodeAvaluacio);

}