package com.andujar.springmvc.repository;

import java.util.List;



import com.andujar.springmvc.domain.AreaActivitat;

public interface AreaActivitatDAO {

	public abstract long guardaAreaActivitat(AreaActivitat areaActivitat);

	public abstract void actualizaAreaActivitat(AreaActivitat areaActivitat);

	public abstract void eliminaAreaActivitat(AreaActivitat areaActivitat);

	public abstract AreaActivitat obteAreaActivitat(long idAreaActivitat);

	public abstract List<AreaActivitat> obteLlistaAreaActivitats();
	
	public List<AreaActivitat> obteLlistaAreaActivitatsActivitatAvaluadora(Long activitatAvalauadoraId);
	
	public List<AreaActivitat> obteLlistaAreaActivitatsAreaAssignatura(Long areaAssignaturaId);

}