package com.andujar.springmvc.repository;

import java.util.List;
import org.hibernate.HibernateException;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.andujar.springmvc.domain.Butlleti;




@Repository
public class ButlletiDAOHibernate implements ButlletiDAO  {
	
	
	@Autowired
	private SessionFactory sf; 
	
	
	
	
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAOi#guardaButlleti(com.andujar.springmvc.domain.Butlleti)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAO#guardaButlleti(com.andujar.springmvc.domain.Butlleti)
	 */
	@Override
	public long guardaButlleti(Butlleti butlleti)
	{ 
			
	        return (Long)sf.getCurrentSession().save(butlleti); 
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAOi#actualizaButlleti(com.andujar.springmvc.domain.Butlleti)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAO#actualizaButlleti(com.andujar.springmvc.domain.Butlleti)
	 */
	@Override
	public void actualizaButlleti(Butlleti butlleti) 
	{ 
	     
	        sf.getCurrentSession().update(butlleti);
	        	
	     
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAOi#eliminaButlleti(com.andujar.springmvc.domain.Butlleti)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAO#eliminaButlleti(com.andujar.springmvc.domain.Butlleti)
	 */
	@Override
	public void eliminaButlleti(Butlleti butlleti) 
	{ 
	    
	       sf.getCurrentSession().delete(butlleti);
			
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAOi#obtenButlleti(long)
	 */

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAO#obteButlleti(long)
	 */
	@Override
	public Butlleti obteButlleti(long idButlleti) 
	{ 
	        
	    return (Butlleti)sf.getCurrentSession().get(Butlleti.class, idButlleti); 
	    
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAOi#obtenListaButlletis()
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.ButlletiDAO#obteLlistaButlletis()
	 */
	@Override
	public List<Butlleti> obteLlistaButlletis() throws HibernateException 
	{ 
	    List<Butlleti> listaButlletis = null;  
	    
			listaButlletis = sf.getCurrentSession().createQuery("from Butlleti").list(); 
	       
	     
	    return listaButlletis; 
	}
	

}
