package com.andujar.springmvc.repository;

import java.util.List;
import com.andujar.springmvc.domain.Nivell;

public interface NivellDAO {

	public abstract long guardaNivell(Nivell nivell);

	public abstract void actualizaNivell(Nivell nivell);

	public abstract void eliminaNivell(Nivell nivell);

	public abstract Nivell obteNivell(long idNivell);

	public abstract List<Nivell> obteLlistaNivells();
	
	public List<Nivell> obteLlistaNivellsPerAssignatura(long assignaturaId); 

}