package com.andujar.springmvc.repository;

import java.util.List;

import org.hibernate.HibernateException;

import com.andujar.springmvc.domain.NotaDefinitivaActivitat;

public interface NotaDefinitivaActivitatDAO {

	public abstract long guardaNotaDefinitivaActivitat(
			NotaDefinitivaActivitat notaDefinitivaActivitat);

	public abstract void actualizaNotaDefinitivaActivitat(
			NotaDefinitivaActivitat notaDefinitivaActivitat);

	public abstract void eliminaNotaDefinitivaActivitat(
			NotaDefinitivaActivitat notaDefinitivaActivitat);

	public abstract NotaDefinitivaActivitat obteNotaDefinitivaActivitat(
			long idNotaDefinitivaActivitat);

	public abstract List<NotaDefinitivaActivitat> obteLlistaNotaDefinitivaActivitats()
			throws HibernateException;

}