package com.andujar.springmvc.repository;

import java.util.List;
import com.andujar.springmvc.domain.Matricula;
import com.andujar.springmvc.domain.PeriodeAvaluacio;

public interface PeriodeAvaluacioDAO {

	public abstract long guardaPeriodeAvaluacio(
			PeriodeAvaluacio periodeAvaluacio);

	public abstract void actualizaPeriodeAvaluacio(
			PeriodeAvaluacio periodeAvaluacio);

	public abstract void eliminaPeriodeAvaluacio(
			PeriodeAvaluacio periodeAvaluacio);

	public abstract PeriodeAvaluacio obtePeriodeAvaluacio(
			long idPeriodeAvaluacio);

	public abstract List<PeriodeAvaluacio> obteLlistaPeriodeAvaluacios();
	
	public List<PeriodeAvaluacio> obteLlistaPeriodeAvaluacios(Long matriculaId, Long avaluacioAnyAcademic);
	
	public PeriodeAvaluacio obtePeriodeAvaluacio(Matricula matricula, Long avaluacioAnyAcademic);

}