package com.andujar.springmvc.repository;

import java.util.List;

import org.hibernate.HibernateException;

import com.andujar.springmvc.domain.QualificacioAreaActivitat;

public interface QualificacioAreaActivitatDAO {

	public abstract long guardaQualificacioAreaActivitat(
			QualificacioAreaActivitat qualificacioAreaActivitat);

	public abstract void actualizaQualificacioAreaActivitat(
			QualificacioAreaActivitat qualificacioAreaActivitat);

	public abstract void eliminaQualificacioAreaActivitat(
			QualificacioAreaActivitat qualificacioAreaActivitat);

	public abstract QualificacioAreaActivitat obteQualificacioAreaActivitat(
			long idQualificacioAreaActivitat);

	public abstract List<QualificacioAreaActivitat> obteLlistaQualificacioAreaActivitats()
			throws HibernateException;

}