package com.andujar.springmvc.repository;

import java.util.List;
import org.hibernate.HibernateException;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;




import com.andujar.springmvc.domain.QualificacioAreaActivitat;

@Repository
public class QualificacioAreaActivitatDAOHibernate implements QualificacioAreaActivitatDAO  {
	
	
	@Autowired
	private SessionFactory sf; 
	
	
	
	
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAOi#guardaQualificacioAreaActivitat(com.andujar.springmvc.domain.QualificacioAreaActivitat)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAO#guardaQualificacioAreaActivitat(com.andujar.springmvc.domain.QualificacioAreaActivitat)
	 */
	@Override
	public long guardaQualificacioAreaActivitat(QualificacioAreaActivitat qualificacioAreaActivitat)
	{ 
			
	        return (Long)sf.getCurrentSession().save(qualificacioAreaActivitat); 
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAOi#actualizaQualificacioAreaActivitat(com.andujar.springmvc.domain.QualificacioAreaActivitat)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAO#actualizaQualificacioAreaActivitat(com.andujar.springmvc.domain.QualificacioAreaActivitat)
	 */
	@Override
	public void actualizaQualificacioAreaActivitat(QualificacioAreaActivitat qualificacioAreaActivitat) 
	{ 
	     
	        sf.getCurrentSession().update(qualificacioAreaActivitat);
	        	
	     
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAOi#eliminaQualificacioAreaActivitat(com.andujar.springmvc.domain.QualificacioAreaActivitat)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAO#eliminaQualificacioAreaActivitat(com.andujar.springmvc.domain.QualificacioAreaActivitat)
	 */
	@Override
	public void eliminaQualificacioAreaActivitat(QualificacioAreaActivitat qualificacioAreaActivitat) 
	{ 
	    
	       sf.getCurrentSession().delete(qualificacioAreaActivitat);
			
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAOi#obtenQualificacioAreaActivitat(long)
	 */

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAO#obteQualificacioAreaActivitat(long)
	 */
	@Override
	public QualificacioAreaActivitat obteQualificacioAreaActivitat(long idQualificacioAreaActivitat) 
	{ 
	        
	    return (QualificacioAreaActivitat)sf.getCurrentSession().get(QualificacioAreaActivitat.class, idQualificacioAreaActivitat); 
	    
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAOi#obtenListaQualificacioAreaActivitats()
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.QualificacioAreaActivitatDAO#obteLlistaQualificacioAreaActivitats()
	 */
	@Override
	public List<QualificacioAreaActivitat> obteLlistaQualificacioAreaActivitats() throws HibernateException 
	{ 
	    List<QualificacioAreaActivitat> listaQualificacioAreaActivitats = null;  
	    
			listaQualificacioAreaActivitats = sf.getCurrentSession().createQuery("from QualificacioAreaActivitat").list(); 
	       
	     
	    return listaQualificacioAreaActivitats; 
	}
	

}

