package com.andujar.springmvc.repository;

import java.util.List;

import org.hibernate.HibernateException;

import com.andujar.springmvc.domain.QualificacioArea;

public interface QualificacioAreaDAO {

	public abstract long guardaQualificacioArea(
			QualificacioArea qualificacioArea);

	public abstract void actualizaQualificacioArea(
			QualificacioArea qualificacioArea);

	public abstract void eliminaQualificacioArea(
			QualificacioArea qualificacioArea);

	public abstract QualificacioArea obteQualificacioArea(
			long idQualificacioArea);

	public abstract List<QualificacioArea> obteLlistaQualificacioAreas()
			throws HibernateException;
	
	public List<QualificacioArea> obteLlistaQualificacioAreasPeriode(Long periodeAvaluacioId);

}