package com.andujar.springmvc.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.andujar.springmvc.domain.AnyAcademic;
import com.andujar.springmvc.repository.*;

@Component
@Transactional
public class AnyAcademicServiceImpl implements AnyAcademicService {
	
	AnyAcademic anyAcademicClass;

	@Autowired
	private AnyAcademicDAO dao;
	
	@Override
	public long guardaAnyAcademic(AnyAcademic anyAcademic){
		return dao.guardaAnyAcademic  (anyAcademic);
	}

	@Override
	public long guardaAnyAcademic(String anyAcademic){
		anyAcademicClass = new AnyAcademic(anyAcademic);
		return dao.guardaAnyAcademic  (anyAcademicClass);
	}

	@Override
	public void actualizaAnyAcademic(AnyAcademic anyAcademic){
		dao.actualizaAnyAcademic(anyAcademic);
	}
	

	@Override
	public void eliminaAnyAcademic(AnyAcademic anyAcademic){
		dao.eliminaAnyAcademic(anyAcademic);
	}
	
	
	@Override
	public AnyAcademic obteAnyAcademic(long idAnyAcademic) {
		return dao.obteAnyAcademic(idAnyAcademic);
	}
	
	@Override
	public List<AnyAcademic> obteLlistaAnyAcademic(){
		
		return dao.obteLlistaAnyAcademics();
	}
	
	

}
