package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.ActivitatAvaluadora;
import com.andujar.springmvc.domain.AreaActivitat;
import com.andujar.springmvc.domain.AreaAssignatura;

public interface AreaActivitatService {

	public abstract long guardaAreaActivitat(AreaActivitat areaActivitat);

	public abstract long guardaAreaActivitat(AreaAssignatura areaAssignatura,
			ActivitatAvaluadora activitatAvaluadora,
			double percentatgeProgramacio);

	public abstract void actualizaAreaActivitat(AreaActivitat areaActivitat);

	public abstract void eliminaAreaActivitat(AreaActivitat areaActivitat);

	public abstract AreaActivitat obteAreaActivitat(long idAreaActivitat);

	public abstract List<AreaActivitat> obteLlistaAreaActivitat();
	
	public List<AreaActivitat> obteLlistaAreaActivitatsActivitatAvaluadora(Long activitatAvalauadoraId);
	
	public List<AreaActivitat> obteLlistaAreaActivitatsAreaAssignatura(Long areaAssignaturaId);

}