package com.andujar.springmvc.service;

import java.util.Date;
import java.util.List;

import com.andujar.springmvc.domain.AvaluacioAnyAcademic;
import com.andujar.springmvc.domain.Avaluacions;

public interface AvaluacioAnyAcademicService {

	public abstract long guardaAvaluacioAnyAcademic(
			AvaluacioAnyAcademic avaluacioAnyAcademic);

	public abstract long guardaAvaluacioAnyAcademic (Avaluacions nom, Date dataInici, Date datFi);

	public abstract void actualizaAvaluacioAnyAcademic(
			AvaluacioAnyAcademic avaluacioAnyAcademic);

	public abstract void eliminaAvaluacioAnyAcademic(
			AvaluacioAnyAcademic avaluacioAnyAcademic);

	public abstract AvaluacioAnyAcademic obteAvaluacioAnyAcademic(
			long idAvaluacioAnyAcademic);

	public abstract List<AvaluacioAnyAcademic> obteLlistaAvaluacioAnyAcademic();
	
	public abstract List<AvaluacioAnyAcademic> obteLlistaAvaluacioAnyAcademic(Long anyId);
	
	public AvaluacioAnyAcademic obteCurrentAvaluacioAnyAcademics(Date date);

}