package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.Butlleti;
import com.andujar.springmvc.domain.PeriodeAvaluacio;

public interface ButlletiService {

	public abstract long guardaButlleti(Butlleti butlleti);

	public abstract long guardaButlleti(PeriodeAvaluacio periodeAvaluacio,
			int faltesJustificades, int faltesInjustificades, String comentari,
			int promociona, Double notaGlobal, int publicat);

	public abstract void actualizaButlleti(Butlleti butlleti);

	public abstract void eliminaButlleti(Butlleti butlleti);

	public abstract Butlleti obteButlleti(long idButlleti);

	public abstract List<Butlleti> obteLlistaButlleti();

}