package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.Assignatura;
import com.andujar.springmvc.domain.Imparteix;
import com.andujar.springmvc.domain.Usuari;

public interface ImparteixService {

	public abstract long guardaImparteix(Imparteix imparteix);

	public abstract long guardaImparteix(Usuari professor,
			List<Assignatura> assignatures);

	public abstract void actualizaImparteix(Imparteix imparteix);

	public abstract void eliminaImparteix(Imparteix imparteix);

	public abstract Imparteix obteImparteix(long idImparteix);

	public abstract List<Imparteix> obteLlistaImparteix();

}