package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.AnyAcademic;
import com.andujar.springmvc.domain.Matricula;
import com.andujar.springmvc.domain.Nivell;
import com.andujar.springmvc.domain.Usuari;

public interface MatriculaService {

	public abstract long guardaMatricula(Matricula matricula);

	public abstract long guardaMatricula(Usuari alumne, Usuari professor,
			AnyAcademic anyAcademic, Nivell nivell);

	public abstract void actualizaMatricula(Matricula matricula);

	public abstract void eliminaMatricula(Matricula matricula);

	public abstract Matricula obteMatricula(long idMatricula);

	public abstract List<Matricula> obteLlistaMatricula();
	
	public Matricula obteMatricula(Long anyAcademicId, Long alumneId, Long nivellId);

}