package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.Assignatura;
import com.andujar.springmvc.domain.Nivell;

public interface NivellService {

	public abstract long guardaNivell(Nivell nivell);

	public abstract long guardaNivell(Assignatura assignatura,String nivell);

	public abstract void actualizaNivell(Nivell nivell);

	public abstract void eliminaNivell(Nivell nivell);

	public abstract Nivell obteNivell(long idNivell);

	public abstract List<Nivell> obteLlistaNivell();

	public abstract List<Nivell> obteLlistaNivellsPerAssignatura(long assignaturaId);

}