package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.AvaluacioAnyAcademic;
import com.andujar.springmvc.domain.Matricula;
import com.andujar.springmvc.domain.PeriodeAvaluacio;

public interface PeriodeAvaluacioService {

	public abstract long guardaPeriodeAvaluacio(
			PeriodeAvaluacio periodeAvaluacio);

	public abstract long guardaPeriodeAvaluacio(Matricula matricula,
			AvaluacioAnyAcademic avaluacioAnyAcademic);

	public abstract void actualizaPeriodeAvaluacio(
			PeriodeAvaluacio periodeAvaluacio);

	public abstract void eliminaPeriodeAvaluacio(
			PeriodeAvaluacio periodeAvaluacio);

	public abstract PeriodeAvaluacio obtePeriodeAvaluacio(
			long idPeriodeAvaluacio);

	public abstract List<PeriodeAvaluacio> obteLlistaPeriodeAvaluacio();
	
	public List<PeriodeAvaluacio> obteLlistaPeriodeAvaluacios(Long matriculaId, Long avaluacioAnyAcademic);
	
	public PeriodeAvaluacio obtePeriodeAvaluacio(Long anyAcademicId, Long alumneId, Long nivellId, Long avaluacioAnyAcademic);
	

}