package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.AreaActivitat;
import com.andujar.springmvc.domain.PeriodeAvaluacio;
import com.andujar.springmvc.domain.QualificacioAreaActivitat;

public interface QualificacioAreaActivitatService {

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.service.ActualitzaAreaQualificacioService#guardaQualificacioAreaActivitat(com.andujar.springmvc.domain.QualificacioAreaActivitat)
	 */
	public abstract long guardaQualificacioAreaActivitat(
			QualificacioAreaActivitat qualificacioAreaActivitat);

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.service.ActualitzaAreaQualificacioService#guardaQualificacioAreaActivitat(com.andujar.springmvc.domain.AreaActivitat, com.andujar.springmvc.domain.PeriodeAvaluacio, java.lang.Double, java.lang.Double)
	 */
	public abstract long guardaQualificacioAreaActivitat(
			AreaActivitat areaActivitat, PeriodeAvaluacio periodeAvaluacio,
			Double nota, Double percentatgeReal);

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.service.ActualitzaAreaQualificacioService#actualizaQualificacioAreaActivitat(com.andujar.springmvc.domain.QualificacioAreaActivitat)
	 */
	public abstract void actualizaQualificacioAreaActivitat(
			QualificacioAreaActivitat qualificacioAreaActivitat);

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.service.ActualitzaAreaQualificacioService#eliminaQualificacioAreaActivitat(com.andujar.springmvc.domain.QualificacioAreaActivitat)
	 */
	public abstract void eliminaQualificacioAreaActivitat(
			QualificacioAreaActivitat qualificacioAreaActivitat);

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.service.ActualitzaAreaQualificacioService#obteQualificacioAreaActivitat(long)
	 */
	public abstract QualificacioAreaActivitat obteQualificacioAreaActivitat(
			long idQualificacioAreaActivitat);

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.service.ActualitzaAreaQualificacioService#obteLlistaQualificacioAreaActivitat()
	 */
	public abstract List<QualificacioAreaActivitat> obteLlistaQualificacioAreaActivitat();

}