package com.andujar.springmvc.service;

import java.util.Date;
import java.util.List;
import com.andujar.springmvc.domain.AreaAssignatura;
import com.andujar.springmvc.domain.PeriodeAvaluacio;
import com.andujar.springmvc.domain.QualificacioArea;

public interface QualificacioAreaService {

	public abstract long guardaQualificacioArea(
			QualificacioArea qualificacioArea);

	public abstract long guardaQualificacioArea(
			AreaAssignatura areaAssignatura, PeriodeAvaluacio periodeAvaluacio,
			Double nota, Date dataAlta);

	public abstract void actualizaQualificacioArea(
			QualificacioArea qualificacioArea);

	public abstract void eliminaQualificacioArea(
			QualificacioArea qualificacioArea);

	public abstract QualificacioArea obteQualificacioArea(
			long idQualificacioArea);

	public abstract List<QualificacioArea> obteLlistaQualificacioArea();
	
	public List<QualificacioArea> obteLlistaQualificacioAreasPeriode(Long periodeAvaluacioId);

}