<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>P4_Programar_areer_unitats_didactiques</title>
</head>


<body>

<!-- incluim barra navegacio professorr i enllaos programar -->
<%@ include file="/WEB-INF/views/include_barra_navegacio_professor.jsp" %>
<%@ include file="/WEB-INF/views/include_links_programar.jsp" %>

<center>
<h1> Programar rees i Unitats Didctiques</h1>


<!-- Formulari per seleccionar Assignatura, Nivell i Unitat didctica -->
<form id="form1" name="form1" method="get" action="">

<!-- ------------------------------------------------------------------------------------------------ -->
<!-- select llista per mostrar i poder triar les assignatures -->
<!-- param.assignatura s el parmetre que el navegador envia al servidor -->
<!-- a cada iteraci pinta una assignatura.nom. El vaule ser el valor que retornar com a parmetre el navegador al servidor si est seleccionat aquest nom en la llista (enviar el assignatura.id -->
<!-- amb el c:if comprovem si aquesta assignatura.id que estem apunt de pintar s la mateixa que el navegador ha enviat com a parmetre (<select name="assignatura">): si s aix la marca com a selected -->
<!-- ------------------------------------------------------------------------------------------------- -->
 
 <!-- Llista seleccionable per a assignatures -->
  Assignatura
  <select name="assignatura_selected" onchange="this.form.submit()">
  	<c:forEach items="${assignatures}" var="assignatura">
  		<option value="${assignatura.id}"									
  			<c:if test="${param.assignatura_selected==assignatura.id }">						
  				selected
  			</c:if>
  		>${assignatura.nom}</option>												
  	</c:forEach>
  </select>
  
  <!-- Llista seleccionable per a nivells -->
  <label for="LlistaSeleccioNivellID">Nivell</label>
  <select name="nivell_selected" id="LlistaSeleccioNivellID">
  	<c:forEach items="${nivells}" var="nivell">
  		<option value="${nivell.id}"
  			<c:if test="${param.nivell_selected==nivell.id }">						
  				selected
  			</c:if>
  		>${nivell.nom}</option>
  	</c:forEach>
  </select>
  
  <!-- Bot "Cerca" -->
  <input type="submit" name="BotoCercaAreesUnitatsDeAssignaturaNivell" id="BotoCercaAreesUnitatsDeAssignaturaNivell" value="Cerca" />
</form>
<p>&nbsp;</p>


<!-- ------------------------------------------------------------------------------------------------------------------------- --> 
<!-- Formulari per a emplenar les  arees -->
<!-- ------------------------------------------------------------------------------------------------------------------------- -->
 
<h1><font color="red">${adviceMessage}</font></h1>
 
 <c:if test="${not empty param.nivell_selected}">
 <table width="200" border="1">
    <!-- insertem primera fila -->
    <tr>
      <td>rees</td>
      <td>Descripci</td>
      <td>Eliminar</td>
      <td>Modificar</td>
    </tr>
    <!-- insertem la resta de les files (tantes com rees t aquest nivell d'assignatura-->
    
    <!-- si s'havia premut el bot modificar d'aquesta area s'escriur una fila editable per poder-la modificar i la resta de files tindr els seus botons disabled-->
    <!-- si no s'ha premut el bot modificar apareixerean tots els botons activats i la darrera filera permetr inserir una rea nova -->
    
    <c:choose>	
    
     <c:when test="${not empty param.area_modificar}">
	 <%--s'ha premut el bot modificar --%>
	 
	 <c:forEach items="${arees}" var="area">
	 	<%--comprova si aquesta s la filera que s'ha de modificar --%>	
		<c:if test="${param.area_modificar==area.id}">
		<%-- param.area_modificar s el parmetre que envia el navegador cap al servidor. area.id s el el valor que tindr param.area_modificar,
	
																			ser un long i correspon a l' id de la bd, s a dir s com si fos java area.id (s un atribut) --%>
	 
			<form action="" method="get">				
					
				<input type="hidden" name="area_modificada" value="${area.id}"></input> <!-- quan es faci el submit d'aquesta fila em de sabre qu volem modificar, es a dir activitat.id -->
				<input type="hidden" name="assignatura_selected" value="${param.assignatura_selected}"></input> 
				<input type="hidden" name="nivell_selected" value="${param.nivell_selected}"></input> 	
	
				<%-- escriu la fila d'arees editable --%>
				<td><input type="text" name="area_nom_modificar" value="${area.nom}"></input></td>
				<td><input type="text" name="area_descripcio_modificar" value="${area.descripcio}"></input></td>
			
					
				<%-- insertem bot esborrar (desabilitat) --%>
				<td>							
					<input type="submit" value="Esborrar" disabled></imput>						
				</td>
					
				<%-- insertem bot per "Confrimar" canvis (abans es deia "Modificar" --%>
				<td>						
					<input type="submit" value="Confirmar"></imput>						
				</td>
					
			</form>
				
		</c:if>
    
		
		<%-- comprova si aquesta filera no correspon a l'rea a modificar --%>
 		<c:if test="${param.area_modificar!=area.id}">
 			<%-- mostra la informaci corresponent a l'rea (no editable) i els botons Esborrar i Modificar disabled --%>
    		<tr>
      			<td><c:out value="${area.nom}" /></td>
				<td><c:out value="${area.descripcio}" /></td>
     			<!-- insertem el bot esborrar -->
				<td>
					<form action="" method="get">
						<input type="submit" value="Esborrar" disabled></imput>
					</form>
				</td>
				<!-- insertem el bot modificar -->
      			<td>
					<form action="" method="get">
						<input type="submit" value="Modificar" disabled></imput>
					</form>
      			</td>
    		</tr>
		</c:if>
    </c:forEach>
    
    <%--Escriu una filera no editable amb el bot Inserir Nova rea deabilitat --%>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>
      	<input type="submit" value="Inserir Nova rea" disabled></imput>
      </td>
    </tr>
    
    </c:when>
    	
    
    	
    
   	<%-- si no s'ha premut el bot modificar es mostrar la corresponent informaci de l'rea a la taula (no editable) ms una filera per a poder inserir--%>
 	<c:otherwise>
 	<%-- no s'ha premut el bot Modificar --%>
 	<c:forEach items="${arees}" var="area">
    		<tr>
      			<td><c:out value="${area.nom}" /></td>
				<td><c:out value="${area.descripcio}" /></td>
     			<%-- insertem el bot esborrar --%>
				<td>
					<%-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Esborrar" --%>
					<form action="" method="get">
						<input type="hidden" name="area_esborrar" 
							value="${area.id}">
						</input>
						<input type="hidden" name="assignatura_selected" 
							value="${param.assignatura_selected}">
						</input> 
						<input type="hidden" name="nivell_selected" 
							value="${param.nivell_selected}">
						</input> 
						<input type="submit" value="Esborrar"></imput>
					</form>
				</td>
				<%-- insertem el bot modificar --%>
      			<td>
      				<%-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Modificar" --%>
					<form action="" method="get">
						<input type="hidden" name="area_modificar"
							value="${area.id}">
						</input> 
						<input type="hidden" name="assignatura_selected" 
							value="${param.assignatura_selected}">
						</input> 
						<input type="hidden" name="nivell_selected" 
							value="${param.nivell_selected}">
						</input> 
						<input type="submit"
							value="Modificar">
						</imput>
					</form>
      			</td>
    		</tr>
    </c:forEach>
    
        <%-- escriu una fila d'arees editable per a inserir noves rees --%>
    
	<tr>
		<form action="" method="get">
		<td><input type="text" name="area_nom_inserir" value=""></input></td>
		<td><input type="text" name="area_descripcio_inserir" value=""></input></td>
    	
      	<!-- insertem el bot Inserir Nova Area -->
      	<td>
      		<!-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Inserir Nova rea" -->
			
			
				<input type="hidden" name="assignatura_selected" 
					value="${param.assignatura_selected}">
				</input> 
				<input type="hidden" name="nivell_selected" 
					value="${param.nivell_selected}">
				</input>
				<input type="hidden" name="nivell_selected" 
					value="${param.nivell_selected}">
				</input> 
				<input type="hidden" name="crear_area" 
					value="1">
				</input>
				<input type="submit"
					value="Inserir Nova rea">
				</imput>
			</form>
      	</td>
      	<td>&nbsp;</td>
    </tr>
    </c:otherwise>	
  	</c:choose>
       

  </table>
  </c:if>


<p>&nbsp;</p>


<!-- ------------------------------------------------------------------------------------------------------------------------- --> 
<!-- Formulari per a emplenar les  unitats -->
<!-- ------------------------------------------------------------------------------------------------------------------------- -->
 
 <c:if test="${not empty param.nivell_selected}">
 <table width="200" border="1">
    <!-- insertem primera fila -->
    <tr>
      <td>Unitats Didctiques</td>
      <td>Ttol</td>
      <td>Eliminar</td>
      <td>Modificar</td>
    </tr>
    <!-- insertem la resta de les files (tantes com unitats t aquest nivell d'assignatura-->
    
    <!-- si s'havia premut el bot modificar d'aquesta area s'escriur una fila editable per poder-la modificar i la resta de files tindr els seus botons disabled-->
    <!-- si no s'ha premut el bot modificar apareixerean tots els botons activats i la darrera filera permetr inserir una unitat didctica nova -->
    
    <c:choose>	
    
     <c:when test="${not empty param.unitat_modificar}">
	 <%--s'ha premut el bot modificar --%>
	 
	 <c:forEach items="${unitats}" var="unitat">
	 	<%--comprova si aquesta s la filera que s'ha de modificar --%>	
		<c:if test="${param.unitat_modificar==unitat.id}">
		
			<form action="" method="get">				
					
				<input type="hidden" name="unitat_modificada" value="${unitat.id}"></input> <!-- quan es faci el submit d'aquesta fila em de sabre qu volem modificar, es a dir activitat.id -->
				<input type="hidden" name="assignatura_selected" value="${param.assignatura_selected}"></input> 
				<input type="hidden" name="nivell_selected" value="${param.nivell_selected}"></input> 	
	
				<%-- escriu la fila d'arees editable --%>
				<td><input type="text" name="unitat_numero_modificar" value="${unitat.numero}"></input></td>
				<td><input type="text" name="unitat_titol_modificar" value="${unitat.titol}"></input></td>
			
					
				<%-- insertem bot esborrar (desabilitat) --%>
				<td>							
					<input type="submit" value="Esborrar" disabled></imput>						
				</td>
					
				<%-- insertem bot per "Confrimar" canvis (abans es deia "Modificar" --%>
				<td>						
					<input type="submit" value="Confirmar"></imput>						
				</td>
					
			</form>
				
		</c:if>
    
		
		<%-- comprova si aquesta filera no correspon a l'rea a modificar --%>
 		<c:if test="${param.unitat_modificar!=unitat.id}">
 			<%-- mostra la informaci corresponent a l'rea (no editable) i els botons Esborrar i Modificar disabled --%>
    		<tr>
      			<td><c:out value="${unitat.numero}" /></td>
				<td><c:out value="${unitat.titol}" /></td>
     			<!-- insertem el bot esborrar -->
				<td>
					<form action="" method="get">
						<input type="submit" value="Esborrar" disabled></imput>
					</form>
				</td>
				<!-- insertem el bot modificar -->
      			<td>
					<form action="" method="get">
						<input type="submit" value="Modificar" disabled></imput>
					</form>
      			</td>
    		</tr>
		</c:if>
    </c:forEach>
    
    <%--Escriu una filera no editable amb el bot Inserir Nova Unitat deabilitat --%>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>
      	<input type="submit" value="Inserir Nova Unitat" disabled></imput>
      </td>
    </tr>
    
    </c:when>
    	
    
    	
    
   	<%-- si no s'ha premut el bot modificar per aquesta filera es mostrar la corresponent informaci de la unitat a la taula (no editable) ms una filera per a poder inserir-ne una de nova--%>
 	<c:otherwise>
 	<%-- no s'ha premut el bot Modificar --%>
 	<c:forEach items="${unitats}" var="unitat">
    		<tr>
      			<td><c:out value="${unitat.numero}" /></td>
				<td><c:out value="${unitat.titol}" /></td>
     			<%-- insertem el bot esborrar --%>
				<td>
					<%-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Esborrar" --%>
					<form action="" method="get">
						<input type="hidden" name="unitat_esborrar" 
							value="${unitat.id}">
						</input>
						<input type="hidden" name="assignatura_selected" 
							value="${param.assignatura_selected}">
						</input> 
						<input type="hidden" name="nivell_selected" 
							value="${param.nivell_selected}">
						</input> 
						<input type="submit" value="Esborrar"></imput>
					</form>
				</td>
				<%-- insertem el bot modificar --%>
      			<td>
      				<%-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Modificar" --%>
					<form action="" method="get">
						<input type="hidden" name="unitat_modificar"
							value="${unitat.id}">
						</input> 
						<input type="hidden" name="assignatura_selected" 
							value="${param.assignatura_selected}">
						</input> 
						<input type="hidden" name="nivell_selected" 
							value="${param.nivell_selected}">
						</input> 
						<input type="submit"
							value="Modificar">
						</imput>
					</form>
      			</td>
    		</tr>
    </c:forEach>
    
        <%-- escriu una fila d'unitats editable per a inserir noves unitats --%>
    
	<tr>
		<form action="" method="get">
		<td><input type="text" name="unitat_numero_inserir" value=""></input></td>
		<td><input type="text" name="unitat_titol_inserir" value=""></input></td>
    	
      	<!-- insertem el bot Inserir Nova Unitat -->
      	<td>
      		<!-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Modificar" -->
			
			
				<input type="hidden" name="assignatura_selected" 
					value="${param.assignatura_selected}">
				</input> 
				<input type="hidden" name="nivell_selected" 
					value="${param.nivell_selected}">
				</input>
				<input type="hidden" name="nivell_selected" 
					value="${param.nivell_selected}">
				</input> 
				<input type="hidden" name="crear_unitat" 
					value="1">
				</input>
				<input type="submit"
					value="Inserir Nova Unitat">
				</imput>
			</form>
      	</td>
      	<td>&nbsp;</td>
    </tr>
    </c:otherwise>	
  	</c:choose>
       

  </table>
  </c:if>



</center>
</body>
</html>
