<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Programar activitats avaluadores</title>
</head>

<body>
	
	<!-- incluim barra navegacio professorr i enllaos progrmar -->
	<%@ include file="/WEB-INF/views/include_barra_navegacio_professor.jsp" %>
	<%@ include file="/WEB-INF/views/include_links_programar.jsp" %>

<center>

	<h1>Programar activitats avaluables</h1>
	<p>&nbsp;</p>
	<!-- -------------------------------------------------------------------------------------------- -->
	<!-- Formulari per seleccionar Assignatura, Nivell i Unitat didctica                             -->
	<!-- -------------------------------------------------------------------------------------------- -->
	<form id="form1" name="form1" method="get" action="">
		<p>
			<!-- Llista seleccionable per a assignatures -->
			<label for="LlistaSeleccioAssignaturaID">Assignatura</label> 
			<select name="assignatura_selected" id="LlistaSeleccioAssignaturaID" onchange="this.form.submit()">
				<c:forEach items="${assignatures}" var="assignatura">
  					<option value="${assignatura.id}"									
  						<c:if test="${param.assignatura_selected==assignatura.id }">						
  							selected
  						</c:if>
  					>${assignatura.nom}</option>												
  				</c:forEach>			
			</select> 
			
			
			
			<!-- Llista seleccionable per a nivells -->
			<label for="LlistaSeleccioNivellID">Nivell</label> 
			<select name="nivell_selected" id="LlistaSeleccioNivellID" onchange="this.form.submit()">
				<c:forEach items="${nivells}" var="nivell">
  					<option value="${nivell.id}"
  						<c:if test="${param.nivell_selected==nivell.id }">						
  							selected
  						</c:if>
  					>${nivell.nom}</option>
  				</c:forEach>
			</select> 
				
			<!-- Llista seleccionable per a unitats didactiques -->	
			<label for="LlistaSeleccioUnitatDidacticaID">Unitat didctica</label> 
			<select name="unitat_selected" id="LlistaSeleccioUnitatDidacticaID">
			
				<c:forEach items="${unitats}" var="unitat">
  					<option value="${unitat.id}"
  						<c:if test="${param.unitat_selected==unitat.id }">						
  							selected
  						</c:if>
  					>${unitat.numero}</option>
  				</c:forEach>
  	
			</select>	
			
			
			<!-- bot "Envia Consulta" -->
			 <input type="submit" name="BotoCercaID" id="BotoCercaID"
				value="Envia Consulta" />
		</p>
		<p>&nbsp;</p>
	</form>
	
	<!-- Missatge d'avis per a l'usuari en cas d'error en l'introduccio de dades -->
	<h1><font color="red">${adviceMessage}</font></h1>
	
	
	<!-- --------------------------------------------------------------------------------------------- -->
	<!-- Taula per fer operacions amb activitats                                                       -->
	<!-- --------------------------------------------------------------------------------------------- -->
	
	<c:if test="${not empty param.unitat_selected}">
	<table width="447" height="181" border="1">
		<!-- escrivim la primera fila -->
		<tr>
			<!-- primera cella -->
			<td>Activitat</td>
			<!-- escrivim cadascuna de les segents celles (una per rea, de l'assignatura i nivell corresponents a aquesta activitat, que estiguin d'alta). -->
			<c:forEach items="${arees}" var="area"> 
				<td><c:out value="${area.nom}" /></td>
			</c:forEach>
			<!-- celles Eliminar i Modificar -->
			<td>Eliminar</td>
			<td>Modificar</td>
		</tr>
		
		<!-- escrivim la resta de les files (una per cada activitat -->
		
			<!-- si s'havia premut el bot modificar d'aquesta activitat s'escriur una fila editable per poder-la modificar i la resta de files tindr els seus botons disabled-->
    		<!-- si no s'ha premut el bot modificar apareixerean tots els botons activats i la darrera filera permetr inserir una rea nova -->
    	
			<c:choose>	
    
     			<c:when test="${not empty param.activitat_modificar}">
     			
     			
	 			<%--s'ha premut el bot modificar --%>
	 			
	 			
				<c:forEach items="${activitats}" var="activitat">
			
				
				
				
				<%-- si s'havia premut el bot modificar d'aquesta activitat s'escriur la resta de celles d'arees editable per poder-la modificar, el bot "Eliminar" disabled i un bot per "Confirmar" --%>
				<c:if test="${param.activitat_modificar==activitat.id}"> <!-- si l'activitat a modificar coincideix amb l'activitat.id d'aquesta filera -->
					
					<form action="" method="get">
						
						<%--  marquem els parmetres que enviarem al servidor en premer la tecla "Confirmar" --%>
						<input type="hidden" name="activitat_modificada" 
							value="${activitat.id}">
						</input> 
						<input type="hidden" name="assignatura_selected" 
							value="${param.assignatura_selected}">
						</input> 
						<input type="hidden" name="nivell_selected" 
							value="${param.nivell_selected}">
						</input> 
						<input type="hidden" name="unitat_selected" 
							value="${param.unitat_selected}">
						</input> 
						
						<tr>
							<!-- primera cella nom de l'activitat editable -->
							<td>
								<input type="text" name="activitat_modificar_nom" value="${activitat.nom}"></input>
								<input type="hidden" name="activitat_modificar_id" value="${activitat.id}"></input>
							</td>
						
							<%-- escriu la fila d'arees editable d'aquesta activitat % --%>
							<c:forEach items="${arees}" var="area">
								<td>
									<input type="text" name="percentatges_modificar_value" value="${activitat.areesActivitats[area.id].percentatgeProgramacio}"></input>
									<input type="hidden" name="percentatges_midificar_id" value="${activitat.areesActivitats[area.id].id}"></input>
									<input type="hidden" name="areesAssinatura_modificar_id" value="${area.id}"></input>
								</td>
							</c:forEach>
						
							<%-- insertem bot esborrar (desabilitat) --%>
							<td>							
								<input type="submit" value="Esborrar" disabled></imput>						
							</td>
						
							<%-- insertem bot per "Confrimar" canvis (abans es deia "Modificar") --%>
							<td>						
								<input type="submit" value="Confirmar"></imput>						
							</td>
						</tr>
					
					</form>
				
				</c:if>
				
				
				
				<%-- Mostrem la resta de files que no s'han de modificar no editables i amb els botons eliminar i Modificar diabled --%>
				<c:if test="${param.activitat_modificar!=activitat.id}">
				
					<tr>
						<!-- primera cella nom de l'activitat -->
						<td><c:out value="${activitat.nom}" /></td>
						
						<%-- escriu la fila d'arees % --%>
						<c:forEach items="${arees}" var="area">						
							<td>${activitat.areesActivitats[area.id].percentatgeProgramacio}</td>
						</c:forEach>
						
						<%-- insertem el bot esborrar --%>
						<td>
							<form action="" method="get">
								
								<input type="submit" value="Esborrar" disabled></imput>
							</form>
						</td>
						
						<%-- insertem el bot modificar --%>
						<td>
							<form action="" method="get">
								<input type="submit"value="Modificar" disabled></imput>
							</form>
						</td>
					</tr>
				</c:if>
			

			
			</c:forEach>
			
			<%--Escriu una darrera fila no editable per a inserir les dades d'una nova activitat  --%>
			<tr>
			
				<td></td>
				<c:forEach items="${arees}" var="area">
					<td></td>
				</c:forEach>
				
				<%-- insertem el bot Inserir Nova Area --%>
      			<td><input type="submit"value="Inserir Nova Activitat" disabled></imput></td>
			
			</tr>
			
			</c:when>	
				
				
				
				
				
			<%-- si no s'ha premut el bot modificar es mostrar la corresponent informaci de l'rea a la taula (no editable) ms una filera per a poder inserir--%>
 			<c:otherwise>	
				
				<c:forEach items="${activitats}" var="activitat">
			
				<tr>
					<!-- primera cella nom de l'activitat -->
					<td><c:out value="${activitat.nom}" /></td>
					
				<c:if test="${param.activitat_modificar!=activitat.id}">
					
					<%-- escriu la fila d'arees % --%>
					<c:forEach items="${arees}" var="area">						
						<td>${activitat.areesActivitats[area.id].percentatgeProgramacio}</td>
					</c:forEach>
					
					<%-- insertem el bot esborrar --%>
					<td>
						<form action="" method="get">
							<input type="hidden" name="activitat_esborrar" 
								value="${activitat.id}">
							</input>
							<input type="hidden" name="assignatura_selected" 
								value="${param.assignatura_selected}">
							</input> 
							<input type="hidden" name="nivell_selected" 
								value="${param.nivell_selected}">
							</input> 
							<input type="hidden" name="unitat_selected" 
								value="${param.unitat_selected}">
							</input> 
							<input type="submit" value="Esborrar"></imput>
						</form>
					</td>
					
					<%-- insertem el bot modificar --%>
					<td>
						<%-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Modificar" --%>
						<%-- has de fer aix per a nivell i unitat didctica. el nom  assignatura_selected ha de ser consistent amb el nm del select (llista seleccionable ) que has definit ms adalt--%>
						<form action="" method="get">
							<input type="hidden" name="activitat_modificar"
								value="${activitat.id}">
							</input> 
							<input type="hidden" name="assignatura_selected" 
								value="${param.assignatura_selected}">
							</input> 
							<input type="hidden" name="nivell_selected" 
								value="${param.nivell_selected}">
							</input> 
							<input type="hidden" name="unitat_selected" 
								value="${param.unitat_selected}">
							</input> 
							<input type="submit"
								value="Modificar">
							</imput>
						</form>
					</td>
					
				</c:if>

			</tr>
			</c:forEach>
		
		
		
		
		<%--Escriu una darrera fila editable per a inserir les dades d'una nova activitat  --%>
		<tr>
			<form action="" method="get">
				<td><input type="text" name="activitat_nom_inserir" value=""></input></td>
				<c:forEach items="${arees}" var="area">
					<td>
						<input type="text" name="area_percentatges_inserir" value="">
						<input type="hidden" name="area_percentatges_inserir_id" value="${area.id}">
					</td>
				</c:forEach>
				
				<%-- insertem el bot Inserir Nova Area --%>
      			<td>
				<%-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Inserir Nova Activitat" --%>
				<input type="hidden" name="assignatura_selected" 
					value="${param.assignatura_selected}">
				</input> 
				<input type="hidden" name="nivell_selected" 
					value="${param.nivell_selected}">
				</input> 
				<input type="hidden" name="unitat_selected" 
					value="${param.unitat_selected}">
				</input> 
				<input type="hidden" name="crear_activitat" 
					value="1">
				</input>
				<input type="submit"
					value="Inserir Nova Activitat">
				</imput>
			</form>
		</tr>
		</c:otherwise>
		</c:choose>
	

	</table>
 	
	</c:if>
	<p>&nbsp;</p>

</center>
</body>
</html>
