<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Consultar Notes rees</title>
</head>
<body>

<!-- incluim barra navegacio professorr i enllaos consultar notes -->
<%@ include file="/WEB-INF/views/include_barra_navegacio_professor.jsp" %>
<%@ include file="/WEB-INF/views/include_links_consultar_notes.jsp" %>
<center>

<h1>Consultar Notes rees</h1>


<!-- Formulari per seleccionar Any acadmic, Avaluaci, Assignatura, Nivell, Unitat didctica i Alumne -->
<form id="form1" name="form1" method="get" action="">

<!-- Llista seleccionable per a anys acadmics -->
  <label for="LlistaSeleccioAnyID">Anys Acadmics</label>
  <select name="any_selected" id="LlistaSeleccioAnyID" onchange="this.form.submit()">
  	<c:forEach items="${anys}" var="any">
  		<option value="${any.id}"									
  			<c:if test="${param.any_selected==any.id }">						
  				selected
  			</c:if>
  		>${any.anyAcademic}</option>												
  	</c:forEach>
  </select>
 
 <!-- Llista seleccionable per a avaluacions anys acadmics -->
  <label for="LlistaSeleccioAvaluacioID">Avaluaci</label>
  <select name="avaluacio_selected" id="LlistaSeleccioAvaluacioID" onchange="this.form.submit()">
  	<c:forEach items="${avaluacions}" var="avaluacio">
  		<option value="${avaluacio.id}"									
  			<c:if test="${param.avaluacio_selected==avaluacio.id }">						
  				selected
  			</c:if>
  		>${avaluacio.nom}</option>												
  	</c:forEach>
  </select>
 
 
 <!-- Llista seleccionable per a assignatures -->
  <label for="LlistaSeleccioAssignaturaID">Assignatura</label>
  <select name="assignatura_selected" id="LlistaSeleccioAssignaturaID" onchange="this.form.submit()">
  	<c:forEach items="${assignatures}" var="assignatura">
  		<option value="${assignatura.id}"									
  			<c:if test="${param.assignatura_selected==assignatura.id }">						
  				selected
  			</c:if>
  		>${assignatura.nom}</option>												
  	</c:forEach>
  </select>
  
  <!-- Llista seleccionable per a nivells -->
  <label for="LlistaSeleccioNivellID">Nivell</label>
  <select name="nivell_selected" id="LlistaSeleccioNivellID" onchange="this.form.submit()">
  	<c:forEach items="${nivells}" var="nivell">
  		<option value="${nivell.id}"
  			<c:if test="${param.nivell_selected==nivell.id }">						
  				selected
  			</c:if>
  		>${nivell.nom}</option>
  	</c:forEach>
  </select>
  
  	<!-- Llista seleccionable per a alumnes -->
  <label for="LlistaSeleccioAlumnesID">Alumnes</label>
  <select name="alumne_selected" id="LlistaSeleccioAlumnesID" onchange="this.form.submit()">
  	<c:forEach items="${alumnes}" var="alumne">
  		<option value="${alumne.id}"									
  			<c:if test="${param.alumne_selected==alumne.id }">						
  				selected
  			</c:if>
  		>${alumne.nom} ${alumne.cognom1} ${alumne.cognom2}</option>												
  	</c:forEach>
  </select>
  
  
		
  
  <!-- Bot "Cerca" -->
  <input type="submit" name="BotoCercaAreesUnitatsDeAssignaturaNivell" id="BotoCercaAreesUnitatsDeAssignaturaNivell" value="Cerca" />
</form>



<br></br>


<!-- ------------------------------------------------------------------------------------------------------ -->
<!-- Taula per consultar notes d'una unitat didctica i alumne especificat                                  -->
<!-- ------------------------------------------------------------------------------------------------------ -->

	<c:if test="${not empty param.alumne_selected}">
	<table width="950" height="110" border="1">
		<!-- escrivim la primera fila -->
		<tr>
			
			<!-- escrivim cadascuna de les celles (una per rea, de l'assignatura i nivell corresponents a aquesta activitat, que estiguin d'alta). -->
			<c:forEach items="${arees}" var="area"> 
				<td><c:out value="${area.nom}" /></td>
				<td><c:out value="Mitja" /></td>
			</c:forEach>
			<!-- darrera cella -->
			<td>Mitjana Global</td>

		</tr>
		
		<!-- escrivim les notes de l'alumne -->
		
				<tr>
					<%--  inicialitzem mitjana variables a 0--%>
					<c:set var="mitjanaGlobal" scope="page" value="${1-1}"/>
					<c:set var="comptadorGlobal" scope="page" value="${1-1}"/>
					
					<%-- escriu la fila d'arees % --%>
					<c:forEach items="${arees}" var="area">	
						
						<%--  inicialitzem variables a 0--%>
						<c:set var="mitjana" scope="page" value="${1-1}"/>
						<c:set var="comptador" scope="page" value="${1-1}"/>
						<td>
							<c:forEach items="${quallificacions}" var="q">	
								<c:if test="${q.areaAssignatura.id == area.id}">
									${q.nota}&nbsp;&nbsp;&nbsp;
									<c:set var="mitjana" scope="page" value="${mitjana + q.nota}"/>
									<c:set var="comptador" scope="page" value="${comptador+1}"/>
								</c:if>
							</c:forEach>
						</td> 
						<td>
							<c:if test="${comptador!= 0}">
								${mitjana/comptador}
								<c:set var="mitjanaGlobal" scope="page" value="${mitjanaGlobal + (mitjana/comptador) }"/>
								<c:set var="comptadorGlobal" scope="page" value="${comptadorGlobal + 1}"/>
					
							</c:if>
						</td>
					</c:forEach>
					<!-- escrivim la mitjana global -->
					<td>
						<c:if test="${comptadorGlobal!= 0}">
							${mitjanaGlobal/comptadorGlobal}
						</c:if>
					</td>
					
					
	
				</tr>
				
		
	</table>
 	
 	
 	
	</c:if>



</center>
</body>
</html>