<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<title>Consultar Notes per Unitats</title>
</head>
<body>

<!-- incluim barra navegacio professorr i enllaos consultar notes -->
<%@ include file="/WEB-INF/views/include_barra_navegacio_professor.jsp" %>
<%@ include file="/WEB-INF/views/include_links_consultar_notes.jsp" %>

<center>
<h1>Consultar Notes per Unitats</h1>



<!-- Formulari per seleccionar Any acadmic, Avaluaci, Assignatura, Nivell, Unitat didctica i Alumne -->
<form id="form1" name="form1" method="get" action="">

<!-- Llista seleccionable per a anys acadmics -->
  <label for="LlistaSeleccioAnyID">Anys Acadmics</label>
  <select name="any_selected" id="LlistaSeleccioAnyID" onchange="this.form.submit()">
  	<c:forEach items="${anys}" var="any">
  		<option value="${any.id}"									
  			<c:if test="${param.any_selected==any.id }">						
  				selected
  			</c:if>
  		>${any.anyAcademic}</option>												
  	</c:forEach>
  </select>
 
 <!-- Llista seleccionable per a avaluacions anys acadmics -->
  <label for="LlistaSeleccioAvaluacioID">Avaluaci</label>
  <select name="avaluacio_selected" id="LlistaSeleccioAvaluacioID" onchange="this.form.submit()">
  	<c:forEach items="${avaluacions}" var="avaluacio">
  		<option value="${avaluacio.id}"									
  			<c:if test="${param.avaluacio_selected==avaluacio.id }">						
  				selected
  			</c:if>
  		>${avaluacio.nom}</option>												
  	</c:forEach>
  </select>
 
 
 <!-- Llista seleccionable per a assignatures -->
  <label for="LlistaSeleccioAssignaturaID">Assignatura</label>
  <select name="assignatura_selected" id="LlistaSeleccioAssignaturaID" onchange="this.form.submit()">
  	<c:forEach items="${assignatures}" var="assignatura">
  		<option value="${assignatura.id}"									
  			<c:if test="${param.assignatura_selected==assignatura.id }">						
  				selected
  			</c:if>
  		>${assignatura.nom}</option>												
  	</c:forEach>
  </select>
  
  <!-- Llista seleccionable per a nivells -->
  <label for="LlistaSeleccioNivellID">Nivell</label>
  <select name="nivell_selected" id="LlistaSeleccioNivellID" onchange="this.form.submit()">
  	<c:forEach items="${nivells}" var="nivell">
  		<option value="${nivell.id}"
  			<c:if test="${param.nivell_selected==nivell.id }">						
  				selected
  			</c:if>
  		>${nivell.nom}</option>
  	</c:forEach>
  </select>
  
  	<!-- Llista seleccionable per a unitats didactiques -->	
	<label for="LlistaSeleccioUnitatDidacticaID">Unitat didctica</label> 
	<select name="unitat_selected" id="LlistaSeleccioUnitatDidacticaID">
				
		<c:forEach items="${unitats}" var="unitat">
	  		<option value="${unitat.id}"
	  			<c:if test="${param.unitat_selected==unitat.id }">						
	  				selected
	  			</c:if>
	  		>${unitat.numero}</option>
	  	</c:forEach>
	  	
	</select>	
	
	<!-- Llista seleccionable per a alumnes -->
  <label for="LlistaSeleccioAlumnesID">Alumnes</label>
  <select name="alumne_selected" id="LlistaSeleccioAlumnesID" onchange="this.form.submit()">
  	<c:forEach items="${alumnes}" var="alumne">
  		<option value="${alumne.id}"									
  			<c:if test="${param.alumne_selected==alumne.id }">						
  				selected
  			</c:if>
  		>${alumne.nom} ${alumne.cognom1} ${alumne.cognom2}</option>												
  	</c:forEach>
  </select>
			
  
  <!-- Bot "Cerca" -->
  <input type="submit" name="BotoCercaAreesUnitatsDeAssignaturaNivell" id="BotoCercaAreesUnitatsDeAssignaturaNivell" value="Cerca" />
</form>
<p>&nbsp;</p>


<!-- ------------------------------------------------------------------------------------------------------ -->
<!-- Taula per consultar notes d'una unitat didctica i alumne especificat                                  -->
<!-- ------------------------------------------------------------------------------------------------------ -->

	<c:if test="${not empty param.unitat_selected}">
	<table width="950" height="210" border="1">
		<!-- escrivim la primera fila -->
		<tr>
			<!-- primera cella -->
			<td>Activitat</td>
			<!-- escrivim cadascuna de les segents celles (una per rea, de l'assignatura i nivell corresponents a aquesta activitat, que estiguin d'alta). -->
			<c:forEach items="${arees}" var="area"> 
				<td><c:out value="${area.nom}" /></td>
				<td><c:out value="Ponderaci %" /></td>
			</c:forEach>
			<!-- darrera cella -->
			<td>Mitjana</td>

		</tr>
		
		<!-- escrivim la resta de les files (una per cada activitat) -->
		
			
				
				<c:forEach items="${activitats}" var="activitat">
				
				<tr>
					<!-- primera cella nom de l'activitat -->
					
					<td><c:out value="${activitat.nom}" /></td>
					
					<%-- escriu la fila d'arees % --%>
					<!--  inicialitzem mitjana a 0-->
					<c:set var="mitjana" scope="page" value="${1-1}"/>
					<c:forEach items="${arees}" var="area">	
						<!-- ********************************************************************************************************************************* -->
						<!-- activitat.areesActivitats[area.id].id retorna una AreaActivitat.id (la corresponent a la area.id que estem fent feina en aquesta fila) -->
						<!-- periodeAvaluacio.qualificacionsAreesActivitats[activitat.areesActivitats[area.id]] retorna una QualificacioAreaActivitat (la correspoent a l'AreaActivitat que hem obtingut abans) -->	
						<!-- ********************************************************************************************************************************* -->				
						<c:set var="mitjana" scope="page" value="${mitjana + (periodeAvaluacio.qualificacionsAreesActivitats[activitat.areesActivitats[area.id].id].nota * (activitat.areesActivitats[area.id].percentatgeProgramacio /100))}"/>
						<td>${periodeAvaluacio.qualificacionsAreesActivitats[activitat.areesActivitats[area.id].id].nota}</td> 
						<td>${activitat.areesActivitats[area.id].percentatgeProgramacio}</td>
					</c:forEach>
					<td>${mitjana}</td>
					
					
	
				</tr>
				</c:forEach>
		
	</table>
 	
 	
 	
	</c:if>

</center>
</body>
</html>