<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.andujar.springmvc.domain.PerfilUsuari" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Administrar usuaris</title>
</head>

<body>
<!-- incluim barra navegacio administrador -->
<%@ include file="/WEB-INF/views/include_barra_navegacio_administrador.jsp" %>

<center>

<h1>Administrar usuaris</h1>
<p>&nbsp;</p>
<!-- -------------------------------------------------------------------------------------------- -->
<!-- Formulari per seleccionar Perfil Usuari						                             -->
<!-- -------------------------------------------------------------------------------------------- -->

<%! PerfilUsuari p; %>
	
	<form id="form1" name="form1" method="get" action="">
			<!-- Llista seleccionable per a perfils -->
			<label for="LlistaSeleccioAssignaturaID">Perfil</label> 
			<select name="perfil_selected" id="LlistaSeleccioAssignaturaID" onchange="this.form.submit()">
					
					<c:forEach items="${perfils}" var="perfil">
						<option value="${perfil}"
							<c:if test="${param.perfil_selected==perfil}">						
	  							selected
	  						</c:if>		
  						>${perfil}</option>	
					</c:forEach>
  					<option value=""
						<c:if test="${empty param.perfil_selected}">						
  							selected
  						</c:if>		
  					>TOTS</option>
  					
					
				
			</select> 
	</form>			       
	
<!-- Missatge d'avis per a l'usuari en cas d'error en l'introduccio de dades -->
<h1><font color="red">${adviceMessage}</font></h1>
	
<!-- ------------------------------------------------------------------------------------------------------------------------- --> 
<!-- Formulari per a emplenar els usuaris -->
<!-- ------------------------------------------------------------------------------------------------------------------------- -->
 
 <table width="200" border="1">
    <!-- insertem primera fila -->
    <tr>
      <td>Perfil</td>
      <td>Nom</td>
      <td>Primer Cognom</td>
      <td>Segon Cognom</td>
      <td>Usuari</td>
      <td>Contrassenya</td>
      <td></td>
    </tr>
    <!-- insertem la resta de les files (una per usuari)-->
    
    <!-- si s'havia premut el bot modificar d'aquesta usuari s'escriur una fila editable per poder-la modificar i la resta de files tindr els seus botons disabled-->
    <!-- si no s'ha premut el bot modificar apareixerean tots els botons activats i la darrera filera permetr inserir una rea nova -->
    
    <c:choose>	
    
     <c:when test="${not empty param.usuari_modificar}">
	 <%--s'ha premut el bot modificar --%>
	 
	 <c:forEach items="${usuaris}" var="usuari">
	 	<%--comprova si aquesta s la filera que s'ha de modificar --%>	
		<c:if test="${param.usuari_modificar==usuari.id}">
		
			<form action="" method="get">				
					
				<input type="hidden" name="usuari_modificat" value="${usuari.id}"></input> 
				<input type="hidden" name="perfil_selected" value="${param.perfil_selected}"></input> 
	
				<%-- escriu la fila d'usuaris editable --%>
				<td><input type="text" name="usuari_perfil_modificar" value="${usuari.perfil}"></input></td>
				<td><input type="text" name="usuari_nom_modificar" value="${usuari.nom}"></input></td>
				<td><input type="text" name="usuari_cognom1_modificar" value="${usuari.cognom1}"></input></td>
				<td><input type="text" name="usuari_cognom2_modificar" value="${usuari.cognom2}"></input></td>
				<td><input type="text" name="usuari_usuari_modificar" value="${usuari.usuari}"></input></td>
				<td><input type="text" name="usuari_contrasenya_modificar" value="${usuari.contrassenya}"></input></td>
			
					
				<%-- insertem bot per "Confrimar" canvis (abans es deia "Modificar" --%>
				<td>						
					<input type="submit" value="Confirmar"></imput>						
				</td>
					
			</form>
				
		</c:if>
    
		
		<%-- comprova si aquesta filera no correspon a l'rea a modificar --%>
 		<c:if test="${param.usuari_modificar!=usuari.id}">
 			<%-- mostra la informaci corresponent a l'rea (no editable) i els botons Esborrar i Modificar disabled --%>
    		<tr>
      			<td><c:out value="${usuari.perfil}" /></td>
				<td><c:out value="${usuari.nom}" /></td>
				<td><c:out value="${usuari.cognom1}" /></td>
				<td><c:out value="${usuari.cognom2}" /></td>
				<td><c:out value="${usuari.usuari}" /></td>
				<td><c:out value="${usuari.contrassenya}" /></td>
     			
				<!-- insertem el bot modificar -->
      			<td>
					<form action="" method="get">
						<input type="submit" value="Modificar" disabled></imput>
					</form>
      			</td>
    		</tr>
		</c:if>
    </c:forEach>
    
    <%--Escriu una filera no editable amb el bot Inserir Nova rea deabilitat --%>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td> 
      <td>
      	<input type="submit" value="Inserir Nova rea" disabled></imput>
      </td>
    </tr>
    
    </c:when>
    	
    
    	
    
   	<%-- si no s'ha premut el bot modificar es mostrar la corresponent informaci de l'rea a la taula (no editable) ms una filera per a poder inserir--%>
 	<c:otherwise>
 	<%-- no s'ha premut el bot Modificar --%>
 	<c:forEach items="${usuaris}" var="usuari">
    		<tr>
      			<td><c:out value="${usuari.perfil}" /></td>
				<td><c:out value="${usuari.nom}" /></td>
				<td><c:out value="${usuari.cognom1}" /></td>
				<td><c:out value="${usuari.cognom2}" /></td>
				<td><c:out value="${usuari.usuari}" /></td>
				<td><c:out value="${usuari.contrassenya}" /></td>
     			
     			
				<%-- insertem el bot modificar --%>
      			<td>
      				<%-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Modificar" --%>
					<form action="" method="get">
						<input type="hidden" name="usuari_modificar"
							value="${usuari.id}">
						</input> 
						<input type="hidden" name="perfil_selected" 
							value="${param.perfil_selected}">
						</input> 
						<input type="submit"
							value="Modificar">
						</imput>
					</form>
      			</td>
    		</tr>
    </c:forEach>
    
        <%-- escriu una fila d'arees editable per a inserir nou usuari --%>
    
	<tr>
		<form action="" method="get">
			<td>
				<select name="usuari_perfil_inserir">
					<c:forEach items="${perfils}" var="perfil">
						<option value="${perfil}"
							<c:if test="${param.perfil_selected==perfil}">						
	  							selected
	  						</c:if>		
  						>${perfil}</option>	
					</c:forEach>
				</select>
			</td>
			<td><input type="text" name="usuari_nom_inserir" value="${usuari.nom}"></input></td>
			<td><input type="text" name="usuari_cognom1_inserir" value="${usuari.cognom1}"></input></td>
			<td><input type="text" name="usuari_cognom2_inserir" value="${usuari.cognom2}"></input></td>
			<td><input type="text" name="usuari_usuari_inserir" value="${usuari.usuari}"></input></td>
			<td><input type="text" name="usuari_contrasenya_inserir" value="${usuari.contrassenya}"></input></td>
      	<!-- insertem el bot Inserir Nou Usuari -->
      	<td>
      		<!-- marquem els parmetres que el navegador enviar al servidor si es prem el bot "Inserir Nou Usuari" -->
			
			
				<input type="hidden" name="perfil_selected" 
					value="${param.perfil_selected}">
				</input> 
				<input type="hidden" name="crear_usuari" 
					value="1">
				</input>
				<input type="submit"
					value="Inserir Nou Usuari">
				</imput>
			</form>
      	</td>
      	
    </tr>
    </c:otherwise>	
  	</c:choose>
       

  </table>


<p>&nbsp;</p>
	


</center>
</body>
</html>