--Triggers per a la inserci automtica de claus sinttiques a partir de seqncies

CREATE OR REPLACE TRIGGER Trigger_usuari_id
BEFORE INSERT ON usuaris
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_usuaris.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.usuari_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_any_academic_id
BEFORE INSERT ON anys_academics
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_anys_academics.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.any_academic_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_av_any_academic_id
BEFORE INSERT ON avaluacions_any_academic
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_avaluacions_any_academic.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.avaluacio_any_academic_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_butlleti_id
BEFORE INSERT ON butlletins
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_butlletins.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.butlleti_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_assignatura_id
BEFORE INSERT ON assignatures
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_assignatures.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.assignatura_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_nivell_id
BEFORE INSERT ON nivells
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_nivells.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.nivell_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_unitat_didactica_id
BEFORE INSERT ON unitats_didactiques
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_unitats_didactiques.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.unitat_didactica_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_act_avaluadora_id
BEFORE INSERT ON activitats_avaluadores
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_activitats_avaluadores.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.activitat_avaluadora_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_tutor_id
BEFORE INSERT ON tutors
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_tutors.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.tutor_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_imparteix_id
BEFORE INSERT ON imparteix
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_imparteix.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.imparteix_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_MATRICULA_id
BEFORE INSERT ON MATRICULES
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_MATRICULES.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.MATRICULA_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_PERIODE_AVALUACIO_id
BEFORE INSERT ON PERIODES_AVALUACIONS
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_PERIODES_AVALUACIONS.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.PERIODE_AVALUACIO_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_AREA_ASSIGNATURA_id
BEFORE INSERT ON AREES_ASSIGNATURES
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_AREES_ASSIGNATURES.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.AREA_ASSIGNATURA_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_QUALIFICACIO_AREA_id
BEFORE INSERT ON QUALIFICACIONS_AREES
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_QUALIFICACIONS_AREES.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.QUALIFICACIO_AREA_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_AREA_ACTIVITAT_id
BEFORE INSERT ON AREES_ACTIVITATS
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_AREES_ACTIVITATS.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.AREA_ACTIVITAT_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_nota_definitiva_act_id
BEFORE INSERT ON notes_definitives_activitats
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_notes_definitives_act.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.nota_definitiva_activitat_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_qual_arees_act_id
BEFORE INSERT ON qualificacions_arees_activitat
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_qualificacions_arees_act.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.qualificacio_area_activitat_id := valorSecuencia;
END;
/
/
CREATE OR REPLACE TRIGGER Trigger_mitj_area_butlleti_id
BEFORE INSERT ON mitjanes_arees_butlletins
REFERENCING NEW AS NEW FOR EACH ROW
DECLARE valorSecuencia NUMBER := 0;
BEGIN
SELECT sq_mitjanes_arees_butlletins.NEXTVAL INTO valorSecuencia FROM DUAL;
:NEW.mitjana_area_butlleti_id  := valorSecuencia;
END;
