package com.andujar.springmvc.repository;

import java.util.List;

import org.hibernate.HibernateException;

import com.andujar.springmvc.domain.AreaAssignatura;

public interface AreaAssignaturaDAO {

	public abstract long guardaAreaAssignatura(AreaAssignatura areaAssignatura);

	public abstract void actualizaAreaAssignatura(
			AreaAssignatura areaAssignatura);

	public abstract void eliminaAreaAssignatura(AreaAssignatura areaAssignatura);

	public abstract AreaAssignatura obteAreaAssignatura(long idAreaAssignatura);

	public abstract List<AreaAssignatura> obteLlistaAreaAssignaturas()
			throws HibernateException;
	
	public abstract List<AreaAssignatura> obteLlistaAreaAssignaturasAlta() 
			throws HibernateException;
	
	public List<AreaAssignatura> obteLlistaAreaAssignaturasAltaNivell(long nivellId);

}