package com.andujar.springmvc.repository;

import java.util.List;

import org.hibernate.HibernateException;

import com.andujar.springmvc.domain.Assignatura;

public interface AssignaturaDAO {

	public abstract long guardaAssignatura(Assignatura assignatura);

	public abstract void actualizaAssignatura(Assignatura assignatura);

	public abstract void eliminaAssignatura(Assignatura assignatura);

	public abstract Assignatura obteAssignatura(long idAssignatura);

	public abstract List<Assignatura> obteLlistaAssignaturas()
			throws HibernateException;

}