package com.andujar.springmvc.repository;

import java.util.List;
import com.andujar.springmvc.domain.Matricula;

public interface MatriculaDAO {

	public abstract long guardaMatricula(Matricula matricula);

	public abstract void actualizaMatricula(Matricula matricula);

	public abstract void eliminaMatricula(Matricula matricula);

	public abstract Matricula obteMatricula(long idMatricula);

	public abstract List<Matricula> obteLlistaMatriculas();

	public Matricula obteMatricula(Long anyAcademicId, Long alumneId, Long nivellId);
}