package com.andujar.springmvc.repository;

import java.util.List;
import org.hibernate.HibernateException;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;




import com.andujar.springmvc.domain.MitjaAreaButlleti;

@Repository
public class MitjaAreaButlletiDAOHibernate implements MitjaAreaButlletiDAO  {
	
	
	@Autowired
	private SessionFactory sf; 
	
	
	
	
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAOi#guardaMitjaAreaButlleti(com.andujar.springmvc.domain.MitjaAreaButlleti)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAO#guardaMitjaAreaButlleti(com.andujar.springmvc.domain.MitjaAreaButlleti)
	 */
	@Override
	public long guardaMitjaAreaButlleti(MitjaAreaButlleti mitjaAreaButlleti)
	{ 
			
	        return (Long)sf.getCurrentSession().save(mitjaAreaButlleti); 
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAOi#actualizaMitjaAreaButlleti(com.andujar.springmvc.domain.MitjaAreaButlleti)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAO#actualizaMitjaAreaButlleti(com.andujar.springmvc.domain.MitjaAreaButlleti)
	 */
	@Override
	public void actualizaMitjaAreaButlleti(MitjaAreaButlleti mitjaAreaButlleti) 
	{ 
	     
	        sf.getCurrentSession().update(mitjaAreaButlleti);
	        	
	     
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAOi#eliminaMitjaAreaButlleti(com.andujar.springmvc.domain.MitjaAreaButlleti)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAO#eliminaMitjaAreaButlleti(com.andujar.springmvc.domain.MitjaAreaButlleti)
	 */
	@Override
	public void eliminaMitjaAreaButlleti(MitjaAreaButlleti mitjaAreaButlleti) 
	{ 
	    
	       sf.getCurrentSession().delete(mitjaAreaButlleti);
			
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAOi#obtenMitjaAreaButlleti(long)
	 */

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAO#obteMitjaAreaButlleti(long)
	 */
	@Override
	public MitjaAreaButlleti obteMitjaAreaButlleti(long idMitjaAreaButlleti) 
	{ 
	        
	    return (MitjaAreaButlleti)sf.getCurrentSession().get(MitjaAreaButlleti.class, idMitjaAreaButlleti); 
	    
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAOi#obtenListaMitjaAreaButlletis()
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.MitjaAreaButlletiDAO#obteLlistaMitjaAreaButlletis()
	 */
	@Override
	public List<MitjaAreaButlleti> obteLlistaMitjaAreaButlletis() throws HibernateException 
	{ 
	    List<MitjaAreaButlleti> listaMitjaAreaButlletis = null;  
	    
			listaMitjaAreaButlletis = sf.getCurrentSession().createQuery("from MitjaAreaButlleti").list(); 
	       
	     
	    return listaMitjaAreaButlletis; 
	}
	

}
