package com.andujar.springmvc.repository;


import java.util.List;
import org.hibernate.HibernateException;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;




import com.andujar.springmvc.domain.NotaDefinitivaActivitat;

@Repository
public class NotaDefinitivaActivitatDAOHibernate implements NotaDefinitivaActivitatDAO  {
	
	
	@Autowired
	private SessionFactory sf; 
	
	
	
	
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAOi#guardaNotaDefinitivaActivitat(com.andujar.springmvc.domain.NotaDefinitivaActivitat)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAO#guardaNotaDefinitivaActivitat(com.andujar.springmvc.domain.NotaDefinitivaActivitat)
	 */
	@Override
	public long guardaNotaDefinitivaActivitat(NotaDefinitivaActivitat notaDefinitivaActivitat)
	{ 
			
	        return (Long)sf.getCurrentSession().save(notaDefinitivaActivitat); 
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAOi#actualizaNotaDefinitivaActivitat(com.andujar.springmvc.domain.NotaDefinitivaActivitat)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAO#actualizaNotaDefinitivaActivitat(com.andujar.springmvc.domain.NotaDefinitivaActivitat)
	 */
	@Override
	public void actualizaNotaDefinitivaActivitat(NotaDefinitivaActivitat notaDefinitivaActivitat) 
	{ 
	     
	        sf.getCurrentSession().update(notaDefinitivaActivitat);
	        	
	     
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAOi#eliminaNotaDefinitivaActivitat(com.andujar.springmvc.domain.NotaDefinitivaActivitat)
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAO#eliminaNotaDefinitivaActivitat(com.andujar.springmvc.domain.NotaDefinitivaActivitat)
	 */
	@Override
	public void eliminaNotaDefinitivaActivitat(NotaDefinitivaActivitat notaDefinitivaActivitat) 
	{ 
	    
	       sf.getCurrentSession().delete(notaDefinitivaActivitat);
			
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAOi#obtenNotaDefinitivaActivitat(long)
	 */

	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAO#obteNotaDefinitivaActivitat(long)
	 */
	@Override
	public NotaDefinitivaActivitat obteNotaDefinitivaActivitat(long idNotaDefinitivaActivitat) 
	{ 
	        
	    return (NotaDefinitivaActivitat)sf.getCurrentSession().get(NotaDefinitivaActivitat.class, idNotaDefinitivaActivitat); 
	    
	    
	}
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAOi#obtenListaNotaDefinitivaActivitats()
	 */
	
	/* (non-Javadoc)
	 * @see com.andujar.springmvc.repository.NotaDefinitivaActivitatDAO#obteLlistaNotaDefinitivaActivitats()
	 */
	@Override
	public List<NotaDefinitivaActivitat> obteLlistaNotaDefinitivaActivitats() throws HibernateException 
	{ 
	    List<NotaDefinitivaActivitat> listaNotaDefinitivaActivitats = null;  
	    
			listaNotaDefinitivaActivitats = sf.getCurrentSession().createQuery("from NotaDefinitivaActivitat").list(); 
	       
	     
	    return listaNotaDefinitivaActivitats; 
	}
	

}

