package com.andujar.springmvc.repository;

import java.util.Date;
import java.util.List;

import org.hibernate.HibernateException;

import com.andujar.springmvc.domain.UnitatDidactica;

public interface UnitatDidacticaDAO {

	public abstract long guardaUnitatDidactica(UnitatDidactica unitatDidactica);

	public abstract void actualizaUnitatDidactica(
			UnitatDidactica unitatDidactica);

	public abstract void eliminaUnitatDidactica(UnitatDidactica unitatDidactica);

	public abstract UnitatDidactica obteUnitatDidactica(long idUnitatDidactica);

	public abstract List<UnitatDidactica> obteLlistaUnitatDidacticas()
			throws HibernateException;
	
	public abstract List<UnitatDidactica> obteLlistaUnitatDidacticasAlta(long nivellId) 
			throws HibernateException;
	
	public abstract List<UnitatDidactica> obteLlistaUnitatDidacticasAltaAvaluacio(long nivellId, Date fiAvaluacioAnyAcademic);

}