package com.andujar.springmvc.repository;

import java.util.List;

import org.hibernate.HibernateException;

import com.andujar.springmvc.domain.Usuari;

public interface UsuariDAO {

	public abstract long guardaUsuari(Usuari usuari);

	public abstract void actualizaUsuari(Usuari usuari);

	public abstract void eliminaUsuari(Usuari usuari);

	public abstract Usuari obteUsuari(long idUsuari);

	public abstract List<Usuari> obteLlistaUsuaris() throws HibernateException;
	
	public List<Usuari> obteLlistaAlumnes() throws HibernateException;
	
	public List<Usuari> obteLlistaProfessors();

	public List<Usuari> obteLlistaAdministradors();

	public List<Usuari> obteLlistaPares();
	
	public List<Usuari> obteLlistaAlumnesMatriculats(Long anyAcademicId, Long nivellId);

}