package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.AreaActivitat;
import com.andujar.springmvc.domain.PeriodeAvaluacio;
import com.andujar.springmvc.domain.QualificacioAreaActivitat;

public interface ActualitzaAreaQualificacioService {

	public abstract long guardaQualificacioAreaActivitat(
			QualificacioAreaActivitat qualificacioAreaActivitat);

	public abstract long guardaQualificacioAreaActivitat(
			AreaActivitat areaActivitat, PeriodeAvaluacio periodeAvaluacio,
			Double nota, Double percentatgeReal);

	public abstract void actualizaQualificacioAreaActivitat(
			QualificacioAreaActivitat qualificacioAreaActivitat);

	public abstract void eliminaQualificacioAreaActivitat(
			QualificacioAreaActivitat qualificacioAreaActivitat);

	public abstract QualificacioAreaActivitat obteQualificacioAreaActivitat(
			long idQualificacioAreaActivitat);

	public abstract List<QualificacioAreaActivitat> obteLlistaQualificacioAreaActivitat();

}