package com.andujar.springmvc.service;

import java.util.Date;
import java.util.List;

import com.andujar.springmvc.domain.AreaAssignatura;
import com.andujar.springmvc.domain.Nivell;
import com.andujar.springmvc.exception.Excepcio;

public interface AreaAssignaturaService {

	public abstract long guardaAreaAssignatura(AreaAssignatura areaAssignatura);

	public abstract long guardaAreaAssignatura(Nivell nivell, String nom,
			String descripcio, Date data_alta, Date data_baixa) throws Excepcio;

	public abstract void actualizaAreaAssignatura(
			AreaAssignatura areaAssignatura);

	public abstract void eliminaAreaAssignatura(AreaAssignatura areaAssignatura);

	public abstract AreaAssignatura obteAreaAssignatura(long idAreaAssignatura);

	public abstract List<AreaAssignatura> obteLlistaAreaAssignatura();
	
	public List<AreaAssignatura> obteLlistaAreaAssignaturaAlta();
	
	public List<AreaAssignatura> obteLlistaAreaAssignaturasAltaNivell(long nivellId);
	
	public void donaBaixaAreaAssignatura (long areaAssignaturaId);

}