package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.ActivitatAvaluadora;
import com.andujar.springmvc.domain.NotaDefinitivaActivitat;
import com.andujar.springmvc.domain.PeriodeAvaluacio;

public interface NotaDefinitivaActivitatService {

	public abstract long guardaNotaDefinitivaActivitat(
			NotaDefinitivaActivitat notaDefinitivaActivitat);

	public abstract long guardaNotaDefinitivaActivitat(
			PeriodeAvaluacio periodeAvaluacio,
			ActivitatAvaluadora activitatAvaluadora, Double mitjana,
			Double notaReal);

	public abstract void actualizaNotaDefinitivaActivitat(
			NotaDefinitivaActivitat notaDefinitivaActivitat);

	public abstract void eliminaNotaDefinitivaActivitat(
			NotaDefinitivaActivitat notaDefinitivaActivitat);

	public abstract NotaDefinitivaActivitat obteNotaDefinitivaActivitat(
			long idNotaDefinitivaActivitat);

	public abstract List<NotaDefinitivaActivitat> obteLlistaNotaDefinitivaActivitat();

}