package com.andujar.springmvc.service;

import java.util.Date;
import java.util.List;

import com.andujar.springmvc.domain.Nivell;
import com.andujar.springmvc.domain.UnitatDidactica;
import com.andujar.springmvc.exception.Excepcio;

public interface UnitatDidacticaService {

	public abstract long guardaUnitatDidactica(UnitatDidactica unitatDidactica);

	public abstract long guardaUnitatDidactica(Nivell nivell, Long numero,
			String titol, Date data_alta, Date data_baixa)throws Excepcio;

	public abstract void actualizaUnitatDidactica(
			UnitatDidactica unitatDidactica);

	public abstract void eliminaUnitatDidactica(UnitatDidactica unitatDidactica);

	public abstract UnitatDidactica obteUnitatDidactica(long idUnitatDidactica);

	public abstract List<UnitatDidactica> obteLlistaUnitatDidactica();
	
	public List<UnitatDidactica> obteLlistaUnitatDidacticaAlta(long nivellId);
	
	public void donaBaixaUnitatDidactica (long unitatDidacticaId);
	
	public List<UnitatDidactica> obteLlistaUnitatDidacticasAltaAvaluacio(long nivellId, Date fiAvaluacioAnyAcademic);

}