package com.andujar.springmvc.service;

import java.util.List;

import com.andujar.springmvc.domain.PerfilUsuari;
import com.andujar.springmvc.domain.Usuari;
import com.andujar.springmvc.exception.Excepcio;

public interface UsuariService {

	public abstract long guardaUsuari(Usuari usuari);

	public abstract long guardaUsuari(String usuari, String contrassenya, PerfilUsuari perfil, String nom,
					String cognom1, String cognom2) throws Excepcio ;

	public abstract void actualizaUsuari(Usuari usuari);

	public abstract void eliminaUsuari(Usuari usuari);

	public abstract Usuari obteUsuari(long idUsuari);

	public abstract List<Usuari> obteLlistaUsuari();
	
	public List<Usuari> obteLlistaAlumnes();
	
	public List<Usuari> obteLlistaProfessors();
	
	public List<Usuari> obteLlistaAdministradors();
	
	public List<Usuari> obteLlistaPares();
	
	public List<Usuari> obteLlistaAlumnesMatriculats(Long anyAcademicId, Long nivellId); 

}