<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Inserir Notes rees</title>
</head>
<body>

<!-- incluim barra navegacio professorr i enllaos consultar notes -->
<%@ include file="/WEB-INF/views/include_barra_navegacio_professor.jsp" %>
<%@ include file="/WEB-INF/views/include_links_inserir_notes.jsp" %>

<center>

<h1>Inserir Notes rees</h1>


<!-- Formulari per seleccionar Assignatura, Nivell, Unitat didctica i Alumne -->
<form id="form1" name="form1" method="get" action="">

 <!-- Llista seleccionable per a assignatures -->
  <label for="LlistaSeleccioAssignaturaID">Assignatura</label>
  <select name="assignatura_selected" id="LlistaSeleccioAssignaturaID" onchange="this.form.submit()">
  	<c:forEach items="${assignatures}" var="assignatura">
  		<option value="${assignatura.id}"									
  			<c:if test="${param.assignatura_selected==assignatura.id }">						
  				selected
  			</c:if>
  		>${assignatura.nom}</option>												
  	</c:forEach>
  </select>
  
  <!-- Llista seleccionable per a nivells -->
  <label for="LlistaSeleccioNivellID">Nivell</label>
  <select name="nivell_selected" id="LlistaSeleccioNivellID" onchange="this.form.submit()">
  	<c:forEach items="${nivells}" var="nivell">
  		<option value="${nivell.id}"
  			<c:if test="${param.nivell_selected==nivell.id }">						
  				selected
  			</c:if>
  		>${nivell.nom}</option>
  	</c:forEach>
  </select>
  
  <!-- Llista seleccionable per a alumnes -->
  <label for="LlistaSeleccioAlumnesID">Alumnes</label>
  <select name="alumne_selected" id="LlistaSeleccioAlumnesID" onchange="this.form.submit()">
  	<c:forEach items="${alumnes}" var="alumne">
  		<option value="${alumne.id}"									
  			<c:if test="${param.alumne_selected==alumne.id }">						
  				selected
  			</c:if>
  		>${alumne.nom} ${alumne.cognom1} ${alumne.cognom2}</option>												
  	</c:forEach>
  </select>
  
  <!-- bot "Envia Consulta" -->
	<input type="submit" name="BotoCercaID" id="BotoCercaID"
				value="Envia Consulta" />
  
</form>



<br></br>

<!-- Missatge d'avis per a l'usuari en cas d'error en l'introduccio de dades -->
<h1><font color="red">${adviceMessage}</font></h1>

<!-- ------------------------------------------------------------------------------------------------------ -->
<!-- Taula per consultar notes d'una unitat didctica i alumne especificat                                  -->
<!-- ------------------------------------------------------------------------------------------------------ -->

<c:if test="${not empty param.alumne_selected}">	
	<table width="950" height="110" border="1">
		<!-- escrivim la primera fila -->
		<tr>
			
			<!-- escrivim cadascuna de les celles (una per rea, de l'assignatura i nivell corresponents a aquesta activitat, que estiguin d'alta). -->
			<c:forEach items="${arees}" var="area"> 
				<td><c:out value="${area.nom}" /></td>
			</c:forEach>
			<td></td>
		</tr>
		<form action="" method="get">	
			<input type="hidden" name="inserir" value="1"></input> 
			<input type="hidden" name="assignatura_selected" value="${param.assignatura_selected}"></input> 
			<input type="hidden" name="nivell_selected" value="${param.nivell_selected}"></input>
			<input type="hidden" name="alumne_selected" value="${param.alumne_selected}"></input>
			<tr>
					
			<!-- escriu la fila per inserir notes d'arees % -->
			
			<c:forEach items="${arees}" var="area">	
							
					<td>
						
							<input type="text" name="notes_inserir" value=""></input> 
							<input type="hidden" name="area_inserir_id" value="${area.id}"></input> 
						
					</td>
				
			</c:forEach>
					<td>
						<input type="submit" value="Desa"></imput>	
					</td>
			</tr>
		</form>	
		
	</table>
 </c:if>	
 	
 	
	



</center>
</body>
</html>